New Search

WinForms callback elevation vulnerability in .NET Framework - MS13-015

oval:org.mitre.oval:def:16475

The Windows Forms (aka WinForms) component in Microsoft .NET Framework 2.0 SP2 3.5 3.5.1 4 and 4.5 does not properly restrict the privileges of a callback function during object creation which allows remote attackers to execute arbitrary code via (1) a crafted XAML browser application (XBAP) or (2) a crafted .NET Framework application aka "WinForms Callback Elevation Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Vista
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2008
  • Microsoft Windows XP
  • Microsoft Windows 7
  • Microsoft Windows Server 2003
  • Microsoft Windows 8
  • Microsoft Windows Server 2012
Class:
vulnerability
Reference(s):
  • CVE-2013-0073
Product(s):
  • Microsoft .NET Framework 4.0
  • Microsoft .NET Framework 4.5
  • Microsoft .NET Framework 3.5
  • Microsoft .NET Framework 3.5.1
  • Microsoft .NET Framework 2.0